{{ define "header" }}
{{ partialCached "header.html" . }}
{{ end }}

{{ define "main" }}
	<style>
		/* .floats:hover .pride {
			background-color: var(--accent);
			background-image: linear-gradient(red 0%, red 16.6666%, orange 16.6666%, orange 33.333%, yellow 33.333%, yellow 50%, green 50%, green 66.6666%, blue 66.6666%, blue 83.3333%, indigo 83.3333%,indigo 100%);
			filter: brightness(90%);
			filter: saturate(90%)
		} */
		a:hover {
			text-shadow: unset;
			color: var(--text);
		}
		td {
			border: 0px !important;
			padding: 0 !important;
		}
		a {
			color: var(--text) !important;
		}
	</style>
	<main class="site-main section-inner thin animated fadeIn faster">
		<h1>{{ .Title }} <i class="ri-archive-fill"></i></h1>
		{{- if .Content }}
		<div class="content">
			{{ .Content }}
		</div>
		{{- end }}
		{{- range .Data.Pages.GroupByDate "2006" }}
		<div class="posts-group" style="clear: both;">
			<div class="post-year" id="{{ .Key }}">{{ .Key }}</div>
			<div style="width: 100%;">
				{{- range .Pages }}
				<div class="floats" onclick="window.location.href = {{.Permalink}}">
					{{ if .Params.icon }}
					<div class="pride" style="background-image: url('{{ .Params.icon }}')"></div>
					{{ end }}
					{{ if not .Params.icon }}
					<div class="pride"></div>
					{{ end }}
					<div class="pridetext">
						<a href="{{.Permalink}}">{{.Title}}</a>
					</div>
					<div class="pridedate">
						<span class="post-day">{{ .Date.Format .Site.Params.dateformShort }}</span>
					</div>
				</div>
				{{- end }}
			</div>
		</div>
		{{- end }}
	</main>
{{ end }}

{{ define "footer" }}
{{ partialCached "footer.html" . }}
{{ end }}
